# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorSearchPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorSearchPage(object):
    def setupUi(self, EditorSearchPage):
        EditorSearchPage.setObjectName("EditorSearchPage")
        EditorSearchPage.resize(576, 554)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(EditorSearchPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=EditorSearchPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line3 = QtWidgets.QFrame(parent=EditorSearchPage)
        self.line3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line3.setObjectName("line3")
        self.verticalLayout_3.addWidget(self.line3)
        self.groupBox = QtWidgets.QGroupBox(parent=EditorSearchPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.quicksearchCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.quicksearchCheckBox.setObjectName("quicksearchCheckBox")
        self.verticalLayout_2.addWidget(self.quicksearchCheckBox)
        self.quicksearchMarkersEnabledCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.quicksearchMarkersEnabledCheckBox.setEnabled(False)
        self.quicksearchMarkersEnabledCheckBox.setObjectName("quicksearchMarkersEnabledCheckBox")
        self.verticalLayout_2.addWidget(self.quicksearchMarkersEnabledCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.quicksearchMarkOccurrencesTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setButtonSymbols(QtWidgets.QAbstractSpinBox.ButtonSymbols.PlusMinus)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setCorrectionMode(QtWidgets.QAbstractSpinBox.CorrectionMode.CorrectToNearestValue)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setMinimum(100)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setMaximum(5000)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setSingleStep(100)
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setObjectName("quicksearchMarkOccurrencesTimeoutSpinBox")
        self.horizontalLayout.addWidget(self.quicksearchMarkOccurrencesTimeoutSpinBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.searckMarkersBox = QtWidgets.QGroupBox(parent=EditorSearchPage)
        self.searckMarkersBox.setObjectName("searckMarkersBox")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.searckMarkersBox)
        self.vboxlayout.setObjectName("vboxlayout")
        self.occurrencesMarkersEnabledCheckBox = QtWidgets.QCheckBox(parent=self.searckMarkersBox)
        self.occurrencesMarkersEnabledCheckBox.setObjectName("occurrencesMarkersEnabledCheckBox")
        self.vboxlayout.addWidget(self.occurrencesMarkersEnabledCheckBox)
        self.searchMarkersEnabledCheckBox = QtWidgets.QCheckBox(parent=self.searckMarkersBox)
        self.searchMarkersEnabledCheckBox.setObjectName("searchMarkersEnabledCheckBox")
        self.vboxlayout.addWidget(self.searchMarkersEnabledCheckBox)
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.label = QtWidgets.QLabel(parent=self.searckMarkersBox)
        self.label.setObjectName("label")
        self.hboxlayout.addWidget(self.label)
        self.markOccurrencesTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.searckMarkersBox)
        self.markOccurrencesTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.markOccurrencesTimeoutSpinBox.setButtonSymbols(QtWidgets.QAbstractSpinBox.ButtonSymbols.PlusMinus)
        self.markOccurrencesTimeoutSpinBox.setCorrectionMode(QtWidgets.QAbstractSpinBox.CorrectionMode.CorrectToNearestValue)
        self.markOccurrencesTimeoutSpinBox.setMinimum(100)
        self.markOccurrencesTimeoutSpinBox.setMaximum(5000)
        self.markOccurrencesTimeoutSpinBox.setSingleStep(100)
        self.markOccurrencesTimeoutSpinBox.setObjectName("markOccurrencesTimeoutSpinBox")
        self.hboxlayout.addWidget(self.markOccurrencesTimeoutSpinBox)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout.addItem(spacerItem1)
        self.vboxlayout.addLayout(self.hboxlayout)
        self.hboxlayout1 = QtWidgets.QHBoxLayout()
        self.hboxlayout1.setObjectName("hboxlayout1")
        self.TextLabel2_2_2_2_2_2 = QtWidgets.QLabel(parent=self.searckMarkersBox)
        self.TextLabel2_2_2_2_2_2.setObjectName("TextLabel2_2_2_2_2_2")
        self.hboxlayout1.addWidget(self.TextLabel2_2_2_2_2_2)
        self.searchMarkerButton = QtWidgets.QPushButton(parent=self.searckMarkersBox)
        self.searchMarkerButton.setMinimumSize(QtCore.QSize(100, 0))
        self.searchMarkerButton.setText("")
        self.searchMarkerButton.setObjectName("searchMarkerButton")
        self.hboxlayout1.addWidget(self.searchMarkerButton)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout1.addItem(spacerItem2)
        self.vboxlayout.addLayout(self.hboxlayout1)
        self.verticalLayout_3.addWidget(self.searckMarkersBox)
        self.regexpModeBox = QtWidgets.QGroupBox(parent=EditorSearchPage)
        self.regexpModeBox.setObjectName("regexpModeBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.regexpModeBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.regexpPosixButton = QtWidgets.QRadioButton(parent=self.regexpModeBox)
        self.regexpPosixButton.setChecked(True)
        self.regexpPosixButton.setObjectName("regexpPosixButton")
        self.verticalLayout.addWidget(self.regexpPosixButton)
        self.regexpCxx11Button = QtWidgets.QRadioButton(parent=self.regexpModeBox)
        self.regexpCxx11Button.setObjectName("regexpCxx11Button")
        self.verticalLayout.addWidget(self.regexpCxx11Button)
        self.verticalLayout_3.addWidget(self.regexpModeBox)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.highlightingBackgroundLabel = QtWidgets.QLabel(parent=EditorSearchPage)
        self.highlightingBackgroundLabel.setObjectName("highlightingBackgroundLabel")
        self.horizontalLayout_8.addWidget(self.highlightingBackgroundLabel)
        self.highlightingBackgroundButton = QtWidgets.QPushButton(parent=EditorSearchPage)
        self.highlightingBackgroundButton.setMinimumSize(QtCore.QSize(100, 0))
        self.highlightingBackgroundButton.setText("")
        self.highlightingBackgroundButton.setObjectName("highlightingBackgroundButton")
        self.horizontalLayout_8.addWidget(self.highlightingBackgroundButton)
        spacerItem3 = QtWidgets.QSpacerItem(347, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem3)
        self.verticalLayout_3.addLayout(self.horizontalLayout_8)
        spacerItem4 = QtWidgets.QSpacerItem(558, 231, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem4)

        self.retranslateUi(EditorSearchPage)
        self.quicksearchCheckBox.toggled['bool'].connect(self.quicksearchMarkersEnabledCheckBox.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EditorSearchPage)
        EditorSearchPage.setTabOrder(self.quicksearchCheckBox, self.quicksearchMarkersEnabledCheckBox)
        EditorSearchPage.setTabOrder(self.quicksearchMarkersEnabledCheckBox, self.quicksearchMarkOccurrencesTimeoutSpinBox)
        EditorSearchPage.setTabOrder(self.quicksearchMarkOccurrencesTimeoutSpinBox, self.occurrencesMarkersEnabledCheckBox)
        EditorSearchPage.setTabOrder(self.occurrencesMarkersEnabledCheckBox, self.searchMarkersEnabledCheckBox)
        EditorSearchPage.setTabOrder(self.searchMarkersEnabledCheckBox, self.markOccurrencesTimeoutSpinBox)
        EditorSearchPage.setTabOrder(self.markOccurrencesTimeoutSpinBox, self.searchMarkerButton)
        EditorSearchPage.setTabOrder(self.searchMarkerButton, self.regexpPosixButton)
        EditorSearchPage.setTabOrder(self.regexpPosixButton, self.regexpCxx11Button)
        EditorSearchPage.setTabOrder(self.regexpCxx11Button, self.highlightingBackgroundButton)

    def retranslateUi(self, EditorSearchPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorSearchPage", "<b>Configure editor search options</b>"))
        self.groupBox.setTitle(_translate("EditorSearchPage", "Quicksearch"))
        self.quicksearchCheckBox.setToolTip(_translate("EditorSearchPage", "Select to perform a search while entering the text to search for."))
        self.quicksearchCheckBox.setText(_translate("EditorSearchPage", "Enable Quicksearch"))
        self.quicksearchMarkersEnabledCheckBox.setToolTip(_translate("EditorSearchPage", "Select, whether search markers shall be shown for a quicksearch"))
        self.quicksearchMarkersEnabledCheckBox.setText(_translate("EditorSearchPage", "Highlight all occurrences of quicksearch text"))
        self.label_2.setText(_translate("EditorSearchPage", "Timeout for quicksearch highlighting:"))
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setToolTip(_translate("EditorSearchPage", "Enter the time in milliseconds after which occurrences of the current search text shall be highlighted"))
        self.quicksearchMarkOccurrencesTimeoutSpinBox.setSuffix(_translate("EditorSearchPage", " ms"))
        self.searckMarkersBox.setTitle(_translate("EditorSearchPage", "Search Markers"))
        self.occurrencesMarkersEnabledCheckBox.setToolTip(_translate("EditorSearchPage", "Select, whether markers for all occurrences of the current word shall be shown"))
        self.occurrencesMarkersEnabledCheckBox.setText(_translate("EditorSearchPage", "Highlight all occurrences of current word"))
        self.searchMarkersEnabledCheckBox.setToolTip(_translate("EditorSearchPage", "Select, whether search markers shall be shown for a standard search"))
        self.searchMarkersEnabledCheckBox.setText(_translate("EditorSearchPage", "Highlight all occurrences of search text"))
        self.label.setText(_translate("EditorSearchPage", "Timeout for current word highlighting:"))
        self.markOccurrencesTimeoutSpinBox.setToolTip(_translate("EditorSearchPage", "Enter the time in milliseconds after which occurrences of the current word shall be highlighted"))
        self.markOccurrencesTimeoutSpinBox.setSuffix(_translate("EditorSearchPage", " ms"))
        self.TextLabel2_2_2_2_2_2.setText(_translate("EditorSearchPage", "Marker Color:"))
        self.searchMarkerButton.setToolTip(_translate("EditorSearchPage", "Select the color for the search markers."))
        self.regexpModeBox.setTitle(_translate("EditorSearchPage", "Regular Expression Type"))
        self.regexpPosixButton.setToolTip(_translate("EditorSearchPage", "Select to used the QScintilla POSIX alike regular expression mode."))
        self.regexpPosixButton.setText(_translate("EditorSearchPage", "QScintilla Regular Mode (POSIX)"))
        self.regexpCxx11Button.setToolTip(_translate("EditorSearchPage", "Select to used the QScintilla extended (C++11) regular expression mode."))
        self.regexpCxx11Button.setText(_translate("EditorSearchPage", "QScintilla Extended  Mode (C++11)"))
        self.highlightingBackgroundLabel.setText(_translate("EditorSearchPage", "Search Area Highlighting:"))
        self.highlightingBackgroundButton.setToolTip(_translate("EditorSearchPage", "Select the color for the highlighting of the search area, if it is not the whole document."))
